## org.apache.hadoop.mapred
Class Utils.OutputFileUtils.OutputLogFilter

    java.lang.Object
      org.apache.hadoop.mapred.Utils.OutputFileUtils.OutputLogFilter

All Implemented Interfaces:
  PathFilter

Direct Known Subclasses:
  Utils.OutputFileUtils.OutputFilesFilter

Enclosing class:
  Utils.OutputFileUtils

    public static class Utils.OutputFileUtils.OutputLogFilter

extends Object
implements PathFilter

This class filters log files from directory given It doesnt accept paths having _logs. This can be used to list paths of output directory as follows: Path[] fileList = FileUtil.stat2Paths(fs.listStatus(outDir, new OutputLogFilter()));

Constructor Summary
`Utils.OutputFileUtils.OutputLogFilter()`

Method Summary
`boolean` `accept(Path path)` Tests whether or not the specified abstract pathname should be included in a pathname list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils.OutputFileUtils.OutputLogFilter

    public Utils.OutputFileUtils.OutputLogFilter()

Method Detail

### accept

    public boolean accept(Path path)

  Description copied from interface: `PathFilter`
  Tests whether or not the specified abstract pathname should be included in a pathname list.

  Specified by:
    `accept` in interface `PathFilter`
  Parameters:
    `path` - The abstract pathname to be tested
  Returns:
    `true` if and only if `pathname` should be included

Copyright © 2009 The Apache Software Foundation